=== debian/control ===
Source: ros-dashing-velodyne-laserscan
Section: misc
Priority: optional
Maintainer: Josh Whitley <jwhitley@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/velodyne_laserscan
Standards-Version: 3.9.2

Package: ros-dashing-velodyne-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Description: Extract a single ring of a Velodyne PointCloud2 and publish it as a LaserScan message
